"use client";
import React, { useState } from "react";
import LiftSlider from "@/components/Product_page/Left_slider";
import CarProductSlider from "@/components/Product_page/car_left-slider";
import CarBottomSlider from "@/components/Product_page/Car-Bottom-Slider";
import Image from "next/image";
import { GoDotFill } from "react-icons/go";
import { Rating } from "@mui/material";
import { IoCheckmarkSharp } from "react-icons/io5";
import Link from "next/link";
import Popup from "@/components/Product_page/Popup";
import Additional_info from "@/components/Product_page/Additional_info";
import Description from "@/components/Product_page/Description";
import Review from "@/components/Product_page/Review";

function Carproduct() {
  const [checkedItems, setCheckedItems] = useState({
    secureTransaction: false,
    propertyInsurance: false,
    contentInsurance: false,
  });
  const [openDiscription, setOpenDiscription] = useState(false);
  const [openReview, setOpenReview] = useState(false);
  const [openAdditional_info, setOpenAdditional_info] = useState(true);

  const items = [
    ["Bluetooth", "Head-up display", "Sports package", "Parking sensors"],
    ["CD player", "MP3 interface", "Parking sensors", "Screen Quality"],
    ["Central locking", "Alloy wheels", "Panoramic roof", "Back Camra"],
    ["Auxiliary heating", "Electric side mirror", "Full Options"],
  ];

  const handleCheckboxChange = (event: any) => {
    const { name, checked } = event.target;
    setCheckedItems({
      ...checkedItems,
      [name]: checked,
    });
  };

  const handleOpenValues = (value: any) => {
    if (value === "Description") {
      setOpenAdditional_info(false);
      setOpenReview(false);
      setOpenDiscription(true);
    } else if (value === "Reviews") {
      setOpenDiscription(false);
      setOpenAdditional_info(false);
      setOpenReview(true);
    } else if (value === "Additional") {
      setOpenDiscription(false);
      setOpenReview(false);
      setOpenAdditional_info(true);
    }
  };

  return (
    <div className="w-full pb-8">
      <div className="w-full valuesBg flex py-20 md:px-20 flex-col">
        <h1 className="heading text-white text-6xl font-semibold tracking-widest">
          Products
        </h1>
        <p className=" text-2xl tracking-widest text-white mt-2">
          <span className=" text-[#9b9b9b7c]">Home / Product /</span> Car
        </p>
      </div>

      <div className="flex flex-col justify-center items-center w-[96%] mx-auto px-10">
        <div className="flex flex-col justify-center">
          <div className="flex flex-row justify-center items-center">
            <div className="w-1/6">
              <CarProductSlider />
            </div>

            <section className="body-font overflow-hidden ">
              <div className="container px-5 py-16 mx-auto">
                <div className="lg:w-[98%] ml-auto flex flex-wrap">
                  <Image
                    alt="ecommerce"
                    quality={100}
                    height={500}
                    width={500}
                    className="lg:w-1/2 w-full lg:h-auto h-64 object-cover object-center rounded"
                    src="/product/Rectangle 112 (1).png"
                  />
                  <div className="lg:w-1/2 w-full lg:pl-10 lg:py-6 mt-6 lg:mt-0">
                    <h1 className="text-gray-900 text-blue text-3xl title-font font-medium mb-1">
                      Mercedes-Benz Car
                    </h1>
                    <h2 className="text-sm title-font text-blue tracking-wide">
                      Availability: In Stock
                    </h2>

                    <div className="flex mb-2">
                      <span className="flex items-center">
                        <Rating
                          className="text-base"
                          name="half-rating-read"
                          defaultValue={2.5}
                          precision={0.5}
                          readOnly
                        />

                        <span className="text-gray-600 ml-3">4 Reviews</span>
                      </span>
                    </div>
                    <p className=" leading-relaxed text-black">
                      Sometimes referred the placeholder text used in design
                      when creating content. It helps designers plan out where
                      the content sit without needing to wait for the content to
                      be written and approved.
                    </p>
                    <div className="mt-2 ">
                      <h2 className="text-lg font-medium">Details</h2>
                      <div className="flex items-center p-2 shadow  mb-2 space-x-2">
                        <span className="flex flex-row items-center text-sm">
                          {" "}
                          <GoDotFill className="text-gold-800" /> Year: 2015
                        </span>
                        <span className="flex flex-row items-center text-sm">
                          {" "}
                          <GoDotFill className="text-gold-800" /> Engine : 3000
                        </span>
                        <span className="flex flex-row items-center text-sm">
                          {" "}
                          <GoDotFill className="text-gold-800" /> Fuel Economy :
                          23.5
                        </span>
                        <span className="flex flex-row items-center text-sm">
                          {" "}
                          <GoDotFill className="text-gold-800" /> Interior Color
                          : Blue
                        </span>
                      </div>

                      <h2 className="text-lg font-medium">Quantity</h2>

                      <div className="flex items-center justify-between mb-3 space-x-2">
                        <span className="shadow p-2 px-13 ">01</span>
                        <span className="title-font font-medium text-2xl text-blue">
                          $ 35,000
                        </span>
                      </div>
                    </div>
                    <div className="flex justify-between items-center">
                      <button className="flex justify-center w-1/2 py-3 text-white btn-gradient border-0 text-center px-6 focus:outline-none hover:bg-indigo-600 rounded">
                        Purchase
                      </button>
                      <div className="flex flex-row space-x-3">
                        <span className="bg-offwhite p-2 rounded-lg">
                          <Image
                            src="/icons/heart.svg"
                            alt="Description of your image"
                            width={10}
                            height={10}
                            quality={90}
                            className="w-full"
                          />
                        </span>

                        <span className="bg-offwhite p-2 rounded-lg">
                          <Image
                            src="/icons/email.svg"
                            alt="Description of your image"
                            width={10}
                            height={10}
                            quality={90}
                            className="w-full"
                          />
                        </span>
                      </div>
                    </div>
                    <div className="flex flex-col mt-2">
                      <span>
                        <strong> Ref:</strong> 12390876
                      </span>
                      <div className="flex flex-row space-x-4 items-center mt-2">
                        <span>
                          <strong>Share: </strong>
                        </span>
                        <Link href="#" className="w-6 h-6">
                          <Image
                            src="/icons/facebook.svg"
                            alt="Description of your image"
                            width={300}
                            height={300}
                            quality={90} // Adjust quality as needed
                            className="w-full"
                          />
                        </Link>
                        <Link href="#" className="w-6 h-6">
                          <Image
                            src="/icons/instagram.svg"
                            alt="Description of your image"
                            width={300}
                            height={300}
                            quality={90} // Adjust quality as needed
                            className="w-full"
                          />
                        </Link>
                        <Link href="#" className="linkedin-width h-6">
                          <Image
                            src="/icons/linkedin.svg"
                            alt="Description of your image"
                            width={300}
                            height={300}
                            quality={90} // Adjust quality as needed
                            className="w-full"
                          />
                        </Link>
                        <Link href="#" className="twitter-width h-6">
                          <Image
                            src="/icons/twitter.svg"
                            alt="Description of your image"
                            width={300}
                            height={300}
                            quality={90} // Adjust quality as needed
                            className="w-full"
                          />
                        </Link>
                        <Link href="#" className="w-6 h-6">
                          <Image
                            src="/icons/tiktok.svg"
                            alt="Description of your image"
                            width={300}
                            height={300}
                            quality={90} // Adjust quality as needed
                            className="w-full"
                          />
                        </Link>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </section>
          </div>
          <div className="grid grid-cols-1 md:grid-cols-3 gap-4 text-base justify-center shadow p-3 mb-4">
            <div className="flex flex-row items-center justify-center space-x-3">
              <input
                type="checkbox"
                id="secureTransaction"
                name="secureTransaction"
                checked={checkedItems.secureTransaction}
                onChange={handleCheckboxChange}
                className="accent-gold-400"
              />
              <label htmlFor="secureTransaction">Secure My Transaction</label>
              <div className="w-6 h-6">
                <Image
                  src="/product/exclamation-mark.svg"
                  alt="Description of your image"
                  width={300}
                  height={300}
                  quality={90} // Adjust quality as needed
                  className="w-full"
                />
              </div>
            </div>
            <div className="flex flex-row items-center justify-center space-x-3">
              <input
                type="checkbox"
                id="propertyInsurance"
                name="propertyInsurance"
                checked={checkedItems.propertyInsurance}
                onChange={handleCheckboxChange}
                className="mr-2 accent-gold-400"
              />
              <label htmlFor="propertyInsurance">Car Insurance</label>

              <div className="w-6 h-6">
                <Image
                  src="/product/exclamation-mark.svg"
                  alt="Description of your image"
                  width={300}
                  height={300}
                  quality={90} // Adjust quality as needed
                  className="w-full"
                />
              </div>
            </div>
            <div className="flex flex-row items-center justify-center space-x-3">
              <input
                type="checkbox"
                id="contentInsurance"
                name="contentInsurance"
                checked={checkedItems.contentInsurance}
                onChange={handleCheckboxChange}
                className="mr-2 accent-gold-400"
              />
              <label htmlFor="contentInsurance">Content Insurance</label>

              <div className="w-6 h-6">
                <Image
                  src="/product/exclamation-mark.svg"
                  alt="Description of your image"
                  width={300}
                  height={300}
                  quality={90} // Adjust quality as needed
                  className="w-full"
                />
              </div>
            </div>
          </div>

          <div className="shadow p-2 ">
            <div className="flex flex-row w-max shadow mb-2">
              <button
                className={` ${
                  openDiscription === true
                    ? "text-base font-semibold bg-blue-500  btn-gradient px-4 py-2"
                    : "text-base font-semibold bg-blue-500 btn-background px-4 py-2"
                }`}
                onClick={() => {
                  handleOpenValues("Description");
                }}
              >
                DESCRIPTION
              </button>
              <button
                className={` ${
                  openReview === true
                    ? "text-base font-semibold bg-blue-500  btn-gradient px-4 py-2"
                    : "text-base font-semibold bg-blue-500 btn-background px-4 py-2"
                }`}
                onClick={() => {
                  handleOpenValues("Reviews");
                }}
              >
                REVIEWS
              </button>
              <button
                className={` ${
                  openAdditional_info === true
                    ? "text-base font-semibold bg-blue-500  btn-gradient px-4 py-2"
                    : "text-base font-semibold bg-blue-500 btn-background px-4 py-2"
                }`}
                onClick={() => {
                  handleOpenValues("Additional");
                }}
              >
                ADDITIONAL INFORMATION
              </button>
            </div>

            {openAdditional_info && (
              <div className="grid justify-between grid-cols-4 gap-6">
                {items.map((row, rowIndex) => (
                  <div
                    key={rowIndex}
                    className={`bg-white p-4 ${
                      rowIndex === 0
                        ? "rounded-bl-lg"
                        : rowIndex === items.length - 1
                        ? "rounded-br-lg"
                        : ""
                    }`}
                  >
                    {row.map((item, columnIndex) => (
                      <div key={columnIndex} className="text-base font-normal">
                        <div className="flex flex-row flex-wrap items-center p-2 space-x-2">
                          <IoCheckmarkSharp className="mr-4" /> {item}
                        </div>
                      </div>
                    ))}
                  </div>
                ))}
              </div>
            )}

            {openDiscription && (
              <div>
                <Description text={"description text"} />
              </div>
            )}
            {openReview && (
              <div>
                <Review text={"review text"} />
              </div>
            )}
          </div>
        </div>
      </div>

      <div>
        <div className="w-[96%] mx-auto px-10 mt-5">
          <h1 className="text-xl font-semibold text-left text-blue ">
            Related Cars
          </h1>
        </div>
        <CarBottomSlider />
      </div>

      {/* Popup */}

      <div>
        <Popup checkedItems={checkedItems} />
      </div>
    </div>
  );
}

export default Carproduct;
